import { resolve } from 'path';
import { DruxtBlocksBlockMixin } from 'druxt-blocks';
import { DruxtSearchMixin } from 'druxt-search';
import axios from 'axios';
import { DruxtEntityMixin, DruxtFieldEntityReferenceLabel, DruxtFieldLink, DruxtFieldMixin, DruxtFieldResponsiveImage, DruxtFieldString } from 'druxt-entity';
import { BIconArrowRight, BIconPuzzle, BIcon, BIconStopwatch, BIconPeople, BIconClock } from 'bootstrap-vue';
import { parseFragment } from 'parse5';
import { DruxtViewsViewMixin } from 'druxt-views';

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var script = {
  name: 'DruxtBlockRegionFooter',
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    var options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    var hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            var originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            var existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
var __vue_script__ = script;

/* template */
var __vue_render__ = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-container',[_c('b-row',[_c('b-col',{staticClass:"mb-3",attrs:{"md":"8"}},[_c('druxt-block',{attrs:{"uuid":"14983d1c-2e63-4168-8ef5-2b6e00e478b7"}})],1),_vm._v(" "),_c('b-col',{staticClass:"mb-3",attrs:{"md":"4"}},[_c('druxt-block',{attrs:{"uuid":"2f9f828e-2b76-47ac-a6ca-5201b81c8ae3"}})],1)],1)],1)};
var __vue_staticRenderFns__ = [];

  /* style */
  var __vue_inject_styles__ = undefined;
  /* scoped */
  var __vue_scope_id__ = undefined;
  /* module identifier */
  var __vue_module_identifier__ = undefined;
  /* functional template */
  var __vue_is_functional_template__ = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__ = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

//
//
//
//
//
//
//
//

var script$1 = {
  name: 'DruxtBlockRegionHeader',
};

/* script */
var __vue_script__$1 = script$1;

/* template */
var __vue_render__$1 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-container',[_vm._t("default"),_vm._v(" "),_c('b-navbar-toggle',{attrs:{"target":"nav-collapse"}})],2)};
var __vue_staticRenderFns__$1 = [];

  /* style */
  var __vue_inject_styles__$1 = undefined;
  /* scoped */
  var __vue_scope_id__$1 = undefined;
  /* module identifier */
  var __vue_module_identifier__$1 = undefined;
  /* functional template */
  var __vue_is_functional_template__$1 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$1,
    __vue_script__$1,
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$2 = {
  name: 'DruxtBlockSearchFormBlock',

  mixins: [DruxtBlocksBlockMixin, DruxtSearchMixin],

  computed: {
    searchOptions: function () { return ({
      limit: 3,
    }); },

    to: function to() {
      return { path: ("/en/search?query=" + (this.query)) }
    },
  },

  methods: {
    onSubmit: function onSubmit(e) {
      e.preventDefault();

      this.$router.push(this.to);
    },
  },
};

/* script */
var __vue_script__$2 = script$2;

/* template */
var __vue_render__$2 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-form',{staticClass:"ml-auto",on:{"submit":_vm.onSubmit}},[_c('b-input-group',[_c('b-input',{model:{value:(_vm.query),callback:function ($$v) {_vm.query=$$v;},expression:"query"}}),_vm._v(" "),_c('b-input-group-append',[_c('b-button',{attrs:{"disabled":!this.query.length,"nuxt":"","to":_vm.to}},[_vm._v("\n        Search\n      ")])],1)],1)],1)};
var __vue_staticRenderFns__$2 = [];

  /* style */
  var __vue_inject_styles__$2 = undefined;
  /* scoped */
  var __vue_scope_id__$2 = undefined;
  /* module identifier */
  var __vue_module_identifier__$2 = undefined;
  /* functional template */
  var __vue_is_functional_template__$2 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$2 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$2,
    __vue_script__$2,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$3 = {
  name: 'DruxtBlockSystemBrandingBlock',

  mixins: [DruxtBlocksBlockMixin],

  computed: {
    src: function src() {
      return 'https://dev-druxt.pantheonsite.io/core/profiles/demo_umami/themes/umami/logo.svg'
    },
  },
};

/* script */
var __vue_script__$3 = script$3;

/* template */
var __vue_render__$3 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-navbar-brand',{attrs:{"to":"/"}},[(_vm.settings.use_site_logo)?_c('b-img',{attrs:{"src":_vm.src}}):_vm._e()],1)};
var __vue_staticRenderFns__$3 = [];

  /* style */
  var __vue_inject_styles__$3 = undefined;
  /* scoped */
  var __vue_scope_id__$3 = undefined;
  /* module identifier */
  var __vue_module_identifier__$3 = undefined;
  /* functional template */
  var __vue_is_functional_template__$3 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$3 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$3,
    __vue_script__$3,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$4 = {
  name: 'DruxtBlockSystemMenuBlockAccount',

  mixins: [DruxtBlocksBlockMixin],
};

/* script */
var __vue_script__$4 = script$4;

/* template */
var __vue_render__$4 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div')};
var __vue_staticRenderFns__$4 = [];

  /* style */
  var __vue_inject_styles__$4 = undefined;
  /* scoped */
  var __vue_scope_id__$4 = undefined;
  /* module identifier */
  var __vue_module_identifier__$4 = undefined;
  /* functional template */
  var __vue_is_functional_template__$4 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$4 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$4,
    __vue_script__$4,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$5 = {
  name: 'DruxtBlockSystemMenuBlockFooter',

  mixins: [DruxtBlocksBlockMixin],

  data: function () { return ({
    api: 'https://app.99inbound.com/api/e/Xtd7kGIU',
    input: {
      name: null,
      company: null,
      email: null,
      message: null,
    },
    posted: false,
    posting: false,
    title: 'Tell us what you think',
  }); },

  computed: {
    validated: function validated() {
      return !!(this.input.name && this.input.email && this.input.message)
    },
  },

  methods: {
    onSubmit: async function onSubmit(e) {
      e.preventDefault();

      this.posting = true;
      var result = await axios.post(this.api, this.input);
      this.posted = true;
      this.posting = false;
    },

    resetForm: function resetForm() {
      this.input = {
        name: null,
        email: null,
        message: null,
      };
      this.posted = false;
      this.posting = false;
    },
  },
};

/* script */
var __vue_script__$5 = script$5;

/* template */
var __vue_render__$5 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[_c('h2',{staticClass:"mb-3"},[_vm._v(_vm._s(_vm.title))]),_vm._v(" "),_c('b-button',{directives:[{name:"b-modal",rawName:"v-b-modal.modal-contact",modifiers:{"modal-contact":true}}],attrs:{"variant":"success"}},[_vm._v("\n    Contact\n  ")]),_vm._v(" "),_c('b-modal',{attrs:{"id":"modal-contact","cancel-title":"Close","ok-disabled":!_vm.validated || _vm.posted || _vm.posting,"ok-title":"Send","title":!_vm.posted ? _vm.title : 'Thank you'},on:{"cancel":_vm.resetForm,"close":_vm.resetForm,"ok":_vm.onSubmit}},[(!_vm.posted)?_c('b-form',{attrs:{"validated":_vm.validated},on:{"submit":_vm.onSubmit}},[_c('b-form-group',{attrs:{"label":"Name"}},[_c('b-input',{attrs:{"disabled":_vm.posting,"required":"","type":"text"},model:{value:(_vm.input.name),callback:function ($$v) {_vm.$set(_vm.input, "name", $$v);},expression:"input.name"}})],1),_vm._v(" "),_c('b-form-group',{attrs:{"label":"Company"}},[_c('b-input',{attrs:{"disabled":_vm.posting,"required":"","type":"text"},model:{value:(_vm.input.company),callback:function ($$v) {_vm.$set(_vm.input, "company", $$v);},expression:"input.company"}})],1),_vm._v(" "),_c('b-form-group',{attrs:{"label":"Email"}},[_c('b-input',{attrs:{"disabled":_vm.posting,"required":"","type":"email"},model:{value:(_vm.input.email),callback:function ($$v) {_vm.$set(_vm.input, "email", $$v);},expression:"input.email"}})],1),_vm._v(" "),_c('b-form-group',{attrs:{"label":"Message"}},[_c('b-form-textarea',{attrs:{"disabled":_vm.posting,"required":"","rows":"5"},model:{value:(_vm.input.message),callback:function ($$v) {_vm.$set(_vm.input, "message", $$v);},expression:"input.message"}})],1)],1):_vm._e(),_vm._v(" "),(_vm.posted)?_c('b-row',[_c('b-col',[_vm._v("\n        Your feedback has been sent.\n      ")])],1):_vm._e()],1)],1)};
var __vue_staticRenderFns__$5 = [];

  /* style */
  var __vue_inject_styles__$5 = undefined;
  /* scoped */
  var __vue_scope_id__$5 = undefined;
  /* module identifier */
  var __vue_module_identifier__$5 = undefined;
  /* functional template */
  var __vue_is_functional_template__$5 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$5 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 },
    __vue_inject_styles__$5,
    __vue_script__$5,
    __vue_scope_id__$5,
    __vue_is_functional_template__$5,
    __vue_module_identifier__$5,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$6 = {
  name: 'DruxtBlockSystemMenuBlockMain',

  mixins: [DruxtBlocksBlockMixin],
};

/* script */
var __vue_script__$6 = script$6;

/* template */
var __vue_render__$6 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('druxt-menu',{staticClass:"ml-auto",attrs:{"component":"b-navbar-nav"},scopedSlots:_vm._u([{key:"item",fn:function(ref){
var entity = ref.item.entity;
var to = ref.to;
return [_c('b-nav-item',{attrs:{"to":to}},[_vm._v("\n      "+_vm._s(entity.attributes.title)+"\n    ")])]}},{key:"parent",fn:function(ref){
var ref_item = ref.item;
var entity = ref_item.entity;
var children = ref_item.children;
return [_c('b-nav-item-dropdown',{attrs:{"text":entity.attributes.title}},[_c('druxt-menu-item',{attrs:{"item":{ entity: entity, children: [] }}}),_vm._v(" "),_vm._l((children),function(item){return _c('druxt-menu-item',{key:item.entity.id,attrs:{"item":item}})})],2)]}}])})};
var __vue_staticRenderFns__$6 = [];

  /* style */
  var __vue_inject_styles__$6 = undefined;
  /* scoped */
  var __vue_scope_id__$6 = undefined;
  /* module identifier */
  var __vue_module_identifier__$6 = undefined;
  /* functional template */
  var __vue_is_functional_template__$6 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$6 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$6, staticRenderFns: __vue_staticRenderFns__$6 },
    __vue_inject_styles__$6,
    __vue_script__$6,
    __vue_scope_id__$6,
    __vue_is_functional_template__$6,
    __vue_module_identifier__$6,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$7 = {
  name: 'DruxtEntityBlockContentBannerBlock',

  mixins: [DruxtEntityMixin],

  data: function () { return ({
    image: false,
    img: false,
    media: false,
  }); },

  created: function created() {
    var this$1 = this;

    var query = this.fields.field_media_image.data.data;
    this.$store.dispatch('druxtRouter/getEntity', query).then(function (media) {
      this$1.media = media;
      var query = media.relationships.field_media_image.data;
      this$1.$store.dispatch('druxtRouter/getEntity', query).then(function (image) {
        this$1.image = image;
        this$1.img = image.attributes.uri.url;
      });
    });
  },

  computed: {
    style: function style() {
      if (!this.img) {
        return false
      }

      return {
        backgroundAttachment: 'fixed',
        backgroundImage: ("url(" + (this.img) + ")"),
        backgroundPosition: 'center',
        backgroundSize: 'cover',
        minHeight: '43vw',
      }
    },
  },
};

var isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return function (id, style) { return addStyle(id, style); };
}
var HEAD;
var styles = {};
function addStyle(id, css) {
    var group = isOldIE ? css.media || 'default' : id;
    var style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        var code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                { style.element.setAttribute('media', css.media); }
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            var index = style.ids.size - 1;
            var textNode = document.createTextNode(code);
            var nodes = style.element.childNodes;
            if (nodes[index])
                { style.element.removeChild(nodes[index]); }
            if (nodes.length)
                { style.element.insertBefore(textNode, nodes[index]); }
            else
                { style.element.appendChild(textNode); }
        }
    }
}

/* script */
var __vue_script__$7 = script$7;

/* template */
var __vue_render__$7 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-row',{staticClass:"pb-3 pt-3 pb-md-5 pt-md-5",style:(_vm.style)},[_c('b-container',[_c('b-row',[_c('b-col',{attrs:{"cols":"12","md":"6"}},[_c('b-card',{staticClass:"text-white",attrs:{"bg-variant":"dark"}},[_vm._t("field_title",null,{"options":{ wrapper: { component: 'b-card-title' } }}),_vm._v(" "),_vm._t("field_summary",null,{"options":{ wrapper: { component: 'b-card-text' } }}),_vm._v(" "),_c('b-button',{attrs:{"to":this.fields.field_content_link.data.uri.replace('internal:', ''),"variant":"danger"}},[_vm._v("\n            "+_vm._s(this.fields.field_content_link.data.title)+"\n          ")])],2)],1)],1)],1)],1)};
var __vue_staticRenderFns__$7 = [];

  /* style */
  var __vue_inject_styles__$7 = function (inject) {
    if (!inject) { return }
    inject("data-v-d87e8ab0_0", { source: ".card.bg-dark[data-v-d87e8ab0]{background-color:rgba(52,58,64,.6)!important}", map: undefined, media: undefined });

  };
  /* scoped */
  var __vue_scope_id__$7 = "data-v-d87e8ab0";
  /* module identifier */
  var __vue_module_identifier__$7 = undefined;
  /* functional template */
  var __vue_is_functional_template__$7 = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$7 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$7, staticRenderFns: __vue_staticRenderFns__$7 },
    __vue_inject_styles__$7,
    __vue_script__$7,
    __vue_scope_id__$7,
    __vue_is_functional_template__$7,
    __vue_module_identifier__$7,
    false,
    createInjector,
    undefined,
    undefined
  );

//

var script$8 = {
  name: 'DruxtEntityBlockContentDisclaimerBlock',

  mixins: [DruxtEntityMixin],
};

/* script */
var __vue_script__$8 = script$8;

/* template */
var __vue_render__$8 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-row',[_c('b-col',{attrs:{"cols":"12","lg":"8"}},[_vm._t("field_disclaimer")],2),_vm._v(" "),_c('b-col',{attrs:{"cols":"12","lg":"4"}},[_vm._t("field_copyright")],2)],1)};
var __vue_staticRenderFns__$8 = [];

  /* style */
  var __vue_inject_styles__$8 = undefined;
  /* scoped */
  var __vue_scope_id__$8 = undefined;
  /* module identifier */
  var __vue_module_identifier__$8 = undefined;
  /* functional template */
  var __vue_is_functional_template__$8 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$8 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$8, staticRenderFns: __vue_staticRenderFns__$8 },
    __vue_inject_styles__$8,
    __vue_script__$8,
    __vue_scope_id__$8,
    __vue_is_functional_template__$8,
    __vue_module_identifier__$8,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$9 = {
  name: 'DruxtEntityBlockContentFooterPromoBlock',

  mixins: [DruxtEntityMixin],
};

/* script */
var __vue_script__$9 = script$9;

/* template */
var __vue_render__$9 = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-row',[_c('b-col',{staticClass:"m-auto",attrs:{"cols":"8","md":"4"}},[_vm._t("field_media_image")],2),_vm._v(" "),_c('b-col',{attrs:{"cols":"12","md":"8"}},[_c('h2',[_vm._t("field_title")],2),_vm._v(" "),_vm._t("field_summary",null,{"options":{ wrapper: { component: 'div', props: { class: 'mb-3' } } }}),_vm._v(" "),_vm._t("field_content_link")],2)],1)};
var __vue_staticRenderFns__$9 = [];

  /* style */
  var __vue_inject_styles__$9 = undefined;
  /* scoped */
  var __vue_scope_id__$9 = undefined;
  /* module identifier */
  var __vue_module_identifier__$9 = undefined;
  /* functional template */
  var __vue_is_functional_template__$9 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$9 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$9, staticRenderFns: __vue_staticRenderFns__$9 },
    __vue_inject_styles__$9,
    __vue_script__$9,
    __vue_scope_id__$9,
    __vue_is_functional_template__$9,
    __vue_module_identifier__$9,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$a = {
  name: 'DruxtEntityCard',

  mixins: [DruxtEntityMixin],

  components: { BIconArrowRight: BIconArrowRight },

  data: function () { return ({
    hover: false,
  }); },

  computed: {
    to: function to() {
      return this.entity.attributes.path.alias
    },
  },
};

/* script */
var __vue_script__$a = script$a;

/* template */
var __vue_render__$a = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-card',{class:{ 'h-100': true, shadow: _vm.hover },attrs:{"tag":"article","no-body":""},on:{"click":function($event){return _vm.$router.push({ path: _vm.to })},"mouseover":function($event){_vm.hover = true;},"mouseleave":function($event){_vm.hover = false;}}},[_vm._t("field_media_image"),_vm._v(" "),_c('b-card-body',{staticClass:"h-100 d-flex flex-column"},[_c('b-card-title',[_vm._v(_vm._s(_vm.entity.attributes.title))]),_vm._v(" "),(_vm.$scopedSlots.field_difficulty)?_c('b-card-sub-title',{staticClass:"mb-3"},[_vm._t("field_difficulty")],2):_vm._e(),_vm._v(" "),_c('b-button',{class:{ 'mt-auto': true, shadow: _vm.hover },attrs:{"block":"","nuxt":"","to":_vm.to,"variant":_vm.hover ? 'primary' : 'secondary'}},[_vm._v("\n      View "+_vm._s(_vm.schema.config.bundle)+" "),_c('b-icon-arrow-right')],1)],1)],2)};
var __vue_staticRenderFns__$a = [];

  /* style */
  var __vue_inject_styles__$a = function (inject) {
    if (!inject) { return }
    inject("data-v-d133619a_0", { source: "*[data-v-d133619a]{cursor:pointer}", map: undefined, media: undefined });

  };
  /* scoped */
  var __vue_scope_id__$a = "data-v-d133619a";
  /* module identifier */
  var __vue_module_identifier__$a = undefined;
  /* functional template */
  var __vue_is_functional_template__$a = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$a = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$a, staticRenderFns: __vue_staticRenderFns__$a },
    __vue_inject_styles__$a,
    __vue_script__$a,
    __vue_scope_id__$a,
    __vue_is_functional_template__$a,
    __vue_module_identifier__$a,
    false,
    createInjector,
    undefined,
    undefined
  );

var script$b = {
  name: 'DruxtEntityCardCommon',

  extends: __vue_component__$a
};

/* script */
var __vue_script__$b = script$b;

/* template */

  /* style */
  var __vue_inject_styles__$b = undefined;
  /* scoped */
  var __vue_scope_id__$b = undefined;
  /* module identifier */
  var __vue_module_identifier__$b = undefined;
  /* functional template */
  var __vue_is_functional_template__$b = undefined;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$b = /*#__PURE__*/normalizeComponent(
    {},
    __vue_inject_styles__$b,
    __vue_script__$b,
    __vue_scope_id__$b,
    __vue_is_functional_template__$b,
    __vue_module_identifier__$b,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$c = {
  name: 'DruxtEntityNodeArticleDefault',

  mixins: [DruxtEntityMixin],

  computed: {
    theme: function () { return 'umami'; },
  },
};

/* script */
var __vue_script__$c = script$c;

/* template */
var __vue_render__$b = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('article',[_c('b-row',[_c('b-col',[_c('b-row',{staticClass:"mb-3"},[_c('b-col',[_vm._t("field_tags")],2)],1),_vm._v(" "),_c('b-row',{staticClass:"mb-3"},[_c('b-col',[_vm._t("field_summary")],2)],1),_vm._v(" "),_c('b-row',{staticClass:"mb-3"},[_c('b-col',[_vm._t("field_media_image")],2)],1),_vm._v(" "),_c('b-row',{staticClass:"mb-3"},[_c('b-col',[_vm._t("body")],2)],1)],1)],1)],1)};
var __vue_staticRenderFns__$b = [];

  /* style */
  var __vue_inject_styles__$c = undefined;
  /* scoped */
  var __vue_scope_id__$c = undefined;
  /* module identifier */
  var __vue_module_identifier__$c = undefined;
  /* functional template */
  var __vue_is_functional_template__$c = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$c = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$b, staticRenderFns: __vue_staticRenderFns__$b },
    __vue_inject_styles__$c,
    __vue_script__$c,
    __vue_scope_id__$c,
    __vue_is_functional_template__$c,
    __vue_module_identifier__$c,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$d = {
  name: 'DruxtEntityNodeRecipeDefault',

  mixins: [DruxtEntityMixin],
};

/* script */
var __vue_script__$d = script$d;

/* template */
var __vue_render__$c = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('article',[_c('b-row',{staticClass:"mb-4"},[_c('b-col',{attrs:{"sm":"4"}},[_vm._t("field_recipe_category")],2),_vm._v(" "),_c('b-col',[_vm._t("field_tags")],2)],1),_vm._v(" "),_c('b-row',{staticClass:"mb-3"},[_c('b-col',[_vm._t("field_summary")],2)],1),_vm._v(" "),_c('b-row',{staticClass:"mb-3"},[_c('b-col',{attrs:{"lg":"6"}},[_vm._t("field_media_image")],2),_vm._v(" "),_c('b-col',{staticClass:"my-4"},[_c('b-row',{staticClass:"h-50 mb-3"},[_c('b-col',{staticClass:"my-auto text-center",attrs:{"cols":"6"}},[_vm._t("field_preparation_time")],2),_vm._v(" "),_c('b-col',{staticClass:"my-auto text-center",attrs:{"cols":"6"}},[_vm._t("field_cooking_time")],2)],1),_vm._v(" "),_c('b-row',{staticClass:"h-50 mb-3"},[_c('b-col',{staticClass:"my-auto text-center",attrs:{"cols":"6"}},[_vm._t("field_number_of_servings")],2),_vm._v(" "),_c('b-col',{staticClass:"my-auto text-center",attrs:{"cols":"6"}},[_vm._t("field_difficulty",null,{"context":{ icon: true }})],2)],1)],1)],1),_vm._v(" "),_c('b-row',{staticClass:"my-3"},[_c('b-col',{staticClass:"mb-3",attrs:{"md":"4"}},[_vm._t("field_ingredients")],2),_vm._v(" "),_c('b-col',{staticClass:"mb-3"},[_vm._t("field_recipe_instruction")],2)],1)],1)};
var __vue_staticRenderFns__$c = [];

  /* style */
  var __vue_inject_styles__$d = undefined;
  /* scoped */
  var __vue_scope_id__$d = undefined;
  /* module identifier */
  var __vue_module_identifier__$d = undefined;
  /* functional template */
  var __vue_is_functional_template__$d = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$d = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$c, staticRenderFns: __vue_staticRenderFns__$c },
    __vue_inject_styles__$d,
    __vue_script__$d,
    __vue_scope_id__$d,
    __vue_is_functional_template__$d,
    __vue_module_identifier__$d,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$e = {
  name: 'DruxtEntityTeaser',

  mixins: [DruxtEntityMixin],

  data: function () { return ({
    hover: false,
  }); },

  computed: {
    to: function to() {
      return this.entity.attributes.path.alias
    },
  },
};

/* script */
var __vue_script__$e = script$e;

/* template */
var __vue_render__$d = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-card',{class:{
    'h-100': true,
    'overflow-hidden': true,
    'p-0': true,
    shadow: _vm.hover,
    'w-100': true,
  },attrs:{"no-body":"","tag":"article"},on:{"click":function($event){return _vm.$router.push({ path: _vm.to })},"mouseover":function($event){_vm.hover = true;},"mouseleave":function($event){_vm.hover = false;}}},[_c('b-row',{attrs:{"no-gutters":""}},[_c('b-col',{attrs:{"cols":"6","md":"12","xl":"6"}},[_vm._t("field_media_image")],2),_vm._v(" "),_c('b-col',{attrs:{"cols":"6","md":"12","xl":"6"}},[_c('b-card-body',{attrs:{"title":_vm.entity.attributes.title,"title-tag":"h6"}},[_vm._t("field_tags")],2)],1)],1)],1)};
var __vue_staticRenderFns__$d = [];

  /* style */
  var __vue_inject_styles__$e = function (inject) {
    if (!inject) { return }
    inject("data-v-f4d414e0_0", { source: "*[data-v-f4d414e0]{cursor:pointer}", map: undefined, media: undefined });

  };
  /* scoped */
  var __vue_scope_id__$e = "data-v-f4d414e0";
  /* module identifier */
  var __vue_module_identifier__$e = undefined;
  /* functional template */
  var __vue_is_functional_template__$e = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$e = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$d, staticRenderFns: __vue_staticRenderFns__$d },
    __vue_inject_styles__$e,
    __vue_script__$e,
    __vue_scope_id__$e,
    __vue_is_functional_template__$e,
    __vue_module_identifier__$e,
    false,
    createInjector,
    undefined,
    undefined
  );

//

/* script */
var __vue_script__$f = DruxtFieldEntityReferenceLabel;

/* template */
var __vue_render__$e = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (_vm.entities && typeof _vm.entities[0] !== 'undefined')?_c(_vm.wrapper.component,{tag:"component"},[(_vm.$slots['label-above'])?_c('div',[_vm._t("label-above")],2):_vm._e(),_vm._v(" "),(_vm.$slots['label-inline'])?_vm._t("label-inline"):_vm._e(),_vm._v(" "),_vm._l((_vm.entities),function(entity,key){return _c(_vm.component,_vm._b({key:key,tag:"component",staticClass:"mr-1"},'component',entity.props || false,false),[_c('b-badge',{attrs:{"variant":"info"}},[_vm._v(_vm._s(entity.text))])],1)})],2):_vm._e()};
var __vue_staticRenderFns__$e = [];

  /* style */
  var __vue_inject_styles__$f = undefined;
  /* scoped */
  var __vue_scope_id__$f = undefined;
  /* module identifier */
  var __vue_module_identifier__$f = undefined;
  /* functional template */
  var __vue_is_functional_template__$f = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$f = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$e, staticRenderFns: __vue_staticRenderFns__$e },
    __vue_inject_styles__$f,
    __vue_script__$f,
    __vue_scope_id__$f,
    __vue_is_functional_template__$f,
    __vue_module_identifier__$f,
    false,
    undefined,
    undefined,
    undefined
  );

var script$f = {
  name: 'DruxtFieldLinkFieldContentLink',

  extends: DruxtFieldLink,

  computed: {
    links: function links() {
      var links = [];

      for (var key in this.items) {
        var link = this.items[key];

        links[key] = {
          component: false,
          title: this.items[key].title,
          props: {},
        };

        // Use <a> for absolute URLs.
        if (/^(?:[a-z]+:)?\/\//i.test(link.uri)) {
          links[key].component = 'a';
          links[key].props.href = link.uri;
        }

        // Use <nuxt-link> for relative links.
        else {
          links[key].component = 'b-button';
          links[key].props.to = link.uri;
        }
      }

      return links
    },
  },
};

/* script */
var __vue_script__$g = script$f;

/* template */

  /* style */
  var __vue_inject_styles__$g = undefined;
  /* scoped */
  var __vue_scope_id__$g = undefined;
  /* module identifier */
  var __vue_module_identifier__$g = undefined;
  /* functional template */
  var __vue_is_functional_template__$g = undefined;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$g = /*#__PURE__*/normalizeComponent(
    {},
    __vue_inject_styles__$g,
    __vue_script__$g,
    __vue_scope_id__$g,
    __vue_is_functional_template__$g,
    __vue_module_identifier__$g,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$g = {
  name: 'DruxtFieldListDefaultFieldDifficulty',

  mixins: [DruxtFieldMixin],

  components: { BIconPuzzle: BIconPuzzle },

  computed: {
    variant: function variant() {
      switch (this.items[0]) {
        case 'easy':
          return 'success'
        case 'medium':
          return 'warning'
        case 'hard':
          return 'danger'
      }
      return false
    },
  },
};

/* script */
var __vue_script__$h = script$g;

/* template */
var __vue_render__$f = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (_vm.context.icon)?_c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[_c('b-icon-puzzle',{attrs:{"font-scale":"2"}}),_vm._v(" "),_c('p',{staticClass:"mt-2"},[(_vm.$slots['label-above'])?_c('span',[_vm._v(_vm._s(_vm.schema.label.text)),_c('br')]):_vm._e(),_vm._v("\n    "+_vm._s(_vm.items[0])+"\n  ")])],1):_c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[_c('b-badge',{attrs:{"pill":"","variant":_vm.variant}},[_vm._v(_vm._s(_vm.items[0]))])],1)};
var __vue_staticRenderFns__$f = [];

  /* style */
  var __vue_inject_styles__$h = undefined;
  /* scoped */
  var __vue_scope_id__$h = undefined;
  /* module identifier */
  var __vue_module_identifier__$h = undefined;
  /* functional template */
  var __vue_is_functional_template__$h = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$h = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$f, staticRenderFns: __vue_staticRenderFns__$f },
    __vue_inject_styles__$h,
    __vue_script__$h,
    __vue_scope_id__$h,
    __vue_is_functional_template__$h,
    __vue_module_identifier__$h,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$h = {
  name: 'DruxtFieldNumberIntegerFieldCookingTime',

  mixins: [DruxtFieldMixin],

  components: {
    BIcon: BIcon,
    BIconStopwatch: BIconStopwatch,
  },
};

/* script */
var __vue_script__$i = script$h;

/* template */
var __vue_render__$g = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[_c('b-icon',{attrs:{"icon":"stopwatch","font-scale":"2"}}),_vm._v(" "),_c('p',{staticClass:"mt-2"},[(_vm.$slots['label-above'])?_c('span',[_vm._v(_vm._s(_vm.schema.label.text)),_c('br')]):_vm._e(),_vm._v("\n    "+_vm._s(_vm.items[0])+" minutes\n  ")])],1)};
var __vue_staticRenderFns__$g = [];

  /* style */
  var __vue_inject_styles__$i = undefined;
  /* scoped */
  var __vue_scope_id__$i = undefined;
  /* module identifier */
  var __vue_module_identifier__$i = undefined;
  /* functional template */
  var __vue_is_functional_template__$i = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$i = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$g, staticRenderFns: __vue_staticRenderFns__$g },
    __vue_inject_styles__$i,
    __vue_script__$i,
    __vue_scope_id__$i,
    __vue_is_functional_template__$i,
    __vue_module_identifier__$i,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$i = {
  name: 'DruxtFieldNumberIntegerFieldNumberOfServings',

  mixins: [DruxtFieldMixin],

  components: {
    BIcon: BIcon,
    BIconPeople: BIconPeople,
  },

  computed: {},
};

/* script */
var __vue_script__$j = script$i;

/* template */
var __vue_render__$h = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[_c('b-icon',{attrs:{"icon":"people","font-scale":"2"}}),_vm._v(" "),_c('p',{staticClass:"mt-2"},[(_vm.$slots['label-above'])?_c('span',[_vm._v(_vm._s(_vm.schema.label.text)),_c('br')]):_vm._e(),_vm._v("\n    "+_vm._s(_vm.items[0])+"\n  ")])],1)};
var __vue_staticRenderFns__$h = [];

  /* style */
  var __vue_inject_styles__$j = undefined;
  /* scoped */
  var __vue_scope_id__$j = undefined;
  /* module identifier */
  var __vue_module_identifier__$j = undefined;
  /* functional template */
  var __vue_is_functional_template__$j = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$j = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$h, staticRenderFns: __vue_staticRenderFns__$h },
    __vue_inject_styles__$j,
    __vue_script__$j,
    __vue_scope_id__$j,
    __vue_is_functional_template__$j,
    __vue_module_identifier__$j,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$j = {
  name: 'DruxtFieldNumberIntegerFieldPreparationTime',

  mixins: [DruxtFieldMixin],

  components: {
    BIcon: BIcon,
    BIconClock: BIconClock,
  },

  computed: {},
};

/* script */
var __vue_script__$k = script$j;

/* template */
var __vue_render__$i = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[_c('b-icon',{attrs:{"icon":"clock","font-scale":"2"}}),_vm._v(" "),_c('p',{staticClass:"mt-2"},[(_vm.$slots['label-above'])?_c('span',[_vm._v(_vm._s(_vm.schema.label.text)),_c('br')]):_vm._e(),_vm._v("\n    "+_vm._s(_vm.items[0])+" minutes\n  ")])],1)};
var __vue_staticRenderFns__$i = [];

  /* style */
  var __vue_inject_styles__$k = undefined;
  /* scoped */
  var __vue_scope_id__$k = undefined;
  /* module identifier */
  var __vue_module_identifier__$k = undefined;
  /* functional template */
  var __vue_is_functional_template__$k = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$k = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$i, staticRenderFns: __vue_staticRenderFns__$i },
    __vue_inject_styles__$k,
    __vue_script__$k,
    __vue_scope_id__$k,
    __vue_is_functional_template__$k,
    __vue_module_identifier__$k,
    false,
    undefined,
    undefined,
    undefined
  );

//

/* script */
var __vue_script__$l = DruxtFieldResponsiveImage;

/* template */
var __vue_render__$j = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (_vm.entities && typeof _vm.entities[0] !== 'undefined')?_c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[(_vm.$slots['label-above'])?_c('div',[_vm._t("label-above")],2):_vm._e(),_vm._v(" "),(_vm.$slots['label-inline'])?_vm._t("label-inline"):_vm._e(),_vm._v(" "),_vm._l((_vm.entities),function(entity){return _c('b-card-img-lazy',{key:entity.id,attrs:{"src":entity.attributes.uri.value.replace(
        'public://',
        '/sites/default/files/'
      )}})})],2):_vm._e()};
var __vue_staticRenderFns__$j = [];

  /* style */
  var __vue_inject_styles__$l = function (inject) {
    if (!inject) { return }
    inject("data-v-03230a7e_0", { source: "img[data-v-03230a7e]{width:100%}", map: undefined, media: undefined });

  };
  /* scoped */
  var __vue_scope_id__$l = "data-v-03230a7e";
  /* module identifier */
  var __vue_module_identifier__$l = undefined;
  /* functional template */
  var __vue_is_functional_template__$l = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$l = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$j, staticRenderFns: __vue_staticRenderFns__$j },
    __vue_inject_styles__$l,
    __vue_script__$l,
    __vue_scope_id__$l,
    __vue_is_functional_template__$l,
    __vue_module_identifier__$l,
    false,
    createInjector,
    undefined,
    undefined
  );

//

var script$k = {
  name: 'DruxtFieldResponsiveImageFieldMediaImage',

  extends: __vue_component__$l,

  computed: {
    props: function props() {
      return {
        src: this.entities[0].attributes.uri.url,
        top: true,
      }
    },
  },
};

/* script */
var __vue_script__$m = script$k;

/* template */
var __vue_render__$k = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return (_vm.entities[0])?_c('b-card-img',_vm._b({},'b-card-img',_vm.props,false)):_vm._e()};
var __vue_staticRenderFns__$k = [];

  /* style */
  var __vue_inject_styles__$m = undefined;
  /* scoped */
  var __vue_scope_id__$m = undefined;
  /* module identifier */
  var __vue_module_identifier__$m = undefined;
  /* functional template */
  var __vue_is_functional_template__$m = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$m = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$k, staticRenderFns: __vue_staticRenderFns__$k },
    __vue_inject_styles__$m,
    __vue_script__$m,
    __vue_scope_id__$m,
    __vue_is_functional_template__$m,
    __vue_module_identifier__$m,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$l = {
  name: 'DruxtFieldStringFieldIngredients',

  extends: DruxtFieldString,
};

/* script */
var __vue_script__$n = script$l;

/* template */
var __vue_render__$l = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[(_vm.$slots['label-above'])?_c('div',[_c('h3',[_vm._v(_vm._s(_vm.schema.label.text))])]):_vm._e(),_vm._v(" "),(_vm.$slots['label-inline'])?_vm._t("label-inline"):_vm._e(),_vm._v(" "),_c('b-list-group',_vm._l((_vm.items),function(item,key){return _c('b-list-group-item',{key:key},[_vm._v("\n      "+_vm._s(item)+"\n    ")])}),1)],2)};
var __vue_staticRenderFns__$l = [];

  /* style */
  var __vue_inject_styles__$n = undefined;
  /* scoped */
  var __vue_scope_id__$n = undefined;
  /* module identifier */
  var __vue_module_identifier__$n = undefined;
  /* functional template */
  var __vue_is_functional_template__$n = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$n = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$l, staticRenderFns: __vue_staticRenderFns__$l },
    __vue_inject_styles__$n,
    __vue_script__$n,
    __vue_scope_id__$n,
    __vue_is_functional_template__$n,
    __vue_module_identifier__$n,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$m = {
  name: 'DruxtFieldTextDefaultFieldRecipeInstruction',

  mixins: [DruxtFieldMixin],

  computed: {
    list: function list() {
      var fragment = parseFragment(this.items[0].processed);
      if (fragment.childNodes[0].tagName !== 'ol') {
        return false
      }

      return fragment.childNodes[0].childNodes
        .map(function (item) { return item.tagName === 'li' ? item.childNodes[0].value : null; }
        )
        .filter(function (item) { return item; })
    },
  },
};

/* script */
var __vue_script__$o = script$m;

/* template */
var __vue_render__$m = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c(_vm.wrapper.component,_vm._b({tag:"component"},'component',_vm.wrapper.props,false),[(_vm.$slots['label-above'])?_c('h3',[_vm._v(_vm._s(_vm.schema.label.text))]):_vm._e(),_vm._v(" "),(_vm.list)?_c('b-list-group',_vm._l((_vm.list),function(item,key){return _c('b-list-group-item',{key:key,attrs:{"button":""}},[_vm._v("\n      "+_vm._s(item)+"\n    ")])}),1):_c('span',{domProps:{"innerHTML":_vm._s(_vm.items[0].processed)}})],1)};
var __vue_staticRenderFns__$m = [];

  /* style */
  var __vue_inject_styles__$o = undefined;
  /* scoped */
  var __vue_scope_id__$o = undefined;
  /* module identifier */
  var __vue_module_identifier__$o = undefined;
  /* functional template */
  var __vue_is_functional_template__$o = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$o = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$m, staticRenderFns: __vue_staticRenderFns__$m },
    __vue_inject_styles__$o,
    __vue_script__$o,
    __vue_scope_id__$o,
    __vue_is_functional_template__$o,
    __vue_module_identifier__$o,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$n = {
  name: 'DruxtViewFeaturedArticlesPage1',

  mixins: [DruxtViewsViewMixin],

  computed: {
    wrapper: function () { return ({
      component: 'b-col',
      props: {
        class: 'mb-3',
        cols: 12,
        md: 4,
        sm: 6,
      },
    }); },
  },
};

/* script */
var __vue_script__$p = script$n;

/* template */
var __vue_render__$n = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[(_vm.$scopedSlots.header)?_c('b-row',[_c('b-col',[_vm._t("header")],2)],1):_vm._e(),_vm._v(" "),_c('b-row',[_vm._t("default",null,null,{ wrapper: _vm.wrapper })],2)],1)};
var __vue_staticRenderFns__$n = [];

  /* style */
  var __vue_inject_styles__$p = undefined;
  /* scoped */
  var __vue_scope_id__$p = undefined;
  /* module identifier */
  var __vue_module_identifier__$p = undefined;
  /* functional template */
  var __vue_is_functional_template__$p = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$p = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$n, staticRenderFns: __vue_staticRenderFns__$n },
    __vue_inject_styles__$p,
    __vue_script__$p,
    __vue_scope_id__$p,
    __vue_is_functional_template__$p,
    __vue_module_identifier__$p,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$o = {
  name: 'DruxtViewFrontpagePage1',

  mixins: [DruxtViewsViewMixin],

  computed: {
    wrapper: function () { return ({
      component: 'b-col',
      props: {
        class: 'mb-3',
        cols: 12,
        sm: 6,
      },
    }); },
  },
};

/* script */
var __vue_script__$q = script$o;

/* template */
var __vue_render__$o = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[(_vm.$scopedSlots.header)?_c('b-row',[_c('b-col',[_c('h3',{staticClass:"text-center"},[_vm._t("header")],2)])],1):_vm._e(),_vm._v(" "),_c('b-row',[_vm._t("default",null,null,{ wrapper: _vm.wrapper })],2)],1)};
var __vue_staticRenderFns__$o = [];

  /* style */
  var __vue_inject_styles__$q = undefined;
  /* scoped */
  var __vue_scope_id__$q = undefined;
  /* module identifier */
  var __vue_module_identifier__$q = undefined;
  /* functional template */
  var __vue_is_functional_template__$q = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$q = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$o, staticRenderFns: __vue_staticRenderFns__$o },
    __vue_inject_styles__$q,
    __vue_script__$q,
    __vue_scope_id__$q,
    __vue_is_functional_template__$q,
    __vue_module_identifier__$q,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$p = {
  name: 'DruxtViewPromotedItemsBlock1',

  mixins: [DruxtViewsViewMixin],

  components: { BIconArrowRight: BIconArrowRight },

  data: function () { return ({
    hover: false,
    url: 'https://www.druxtjs.com',
  }); },

  computed: {
    wrapper: function () { return ({
      component: 'b-col',
      props: {
        class: 'mb-3',
        cols: 12,
        md: 6,
      },
    }); },
  },

  methods: {
    onClick: function onClick() {
      window.open(this.url);
    },
  },
};

/* script */
var __vue_script__$r = script$p;

/* template */
var __vue_render__$p = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-row',[_c('b-container',{staticClass:"mb-3 mt-3 mb-md-5 mt-md-5"},[_c('b-row',[_vm._t("default",null,null,{ wrapper: _vm.wrapper }),_vm._v(" "),_c('b-col',{staticClass:"mb-3",attrs:{"id":"druxt"}},[_c('b-card',{class:{ 'h-100': true, shadow: _vm.hover },attrs:{"border-variant":"light","title":"Druxt.js","sub-title":"The Drupal powered Nuxt framework"},on:{"click":_vm.onClick,"mouseover":function($event){_vm.hover = true;},"mouseleave":function($event){_vm.hover = false;}}},[_c('b-row',[_c('b-col',{staticClass:"m-auto",attrs:{"cols":"8"}},[_c('svg',{attrs:{"version":"1.1","xmlns":"http://www.w3.org/2000/svg","xmlns:xlink":"http://www.w3.org/1999/xlink","x":"0px","y":"0px","viewBox":"0 0 400 400","xml:space":"preserve"}},[_c('g',{attrs:{"transform":"translate(0 50)"}},[_c('path',{staticClass:"st0",attrs:{"d":"M227.9,83.5l-13.7,24.1l-46.8-82.4L23.7,278.2H121c0,13.3,10.6,24.1,23.7,24.1h-121c-8.5,0-16.3-4.6-20.5-12.1\n                    c-4.2-7.5-4.2-16.6,0-24.1L146.9,13.1C151.1,5.6,159,1,167.4,1c8.5,0,16.3,4.6,20.5,12.1L227.9,83.5z"}}),_vm._v(" "),_c('path',{staticClass:"st1",attrs:{"d":"M331.7,266.1l-90.1-158.6l-13.7-24.1l-13.7,24.1l-90,158.6c-4.2,7.5-4.2,16.6,0,24.1\n                    c4.2,7.5,12.1,12.1,20.5,12.1h166.4c8.5,0,16.3-4.6,20.5-12S335.9,273.6,331.7,266.1L331.7,266.1z M144.7,278.2l83.2-146.5\n                    l83.2,146.5H144.7L144.7,278.2z"}}),_vm._v(" "),_c('path',{staticClass:"st2",attrs:{"d":"M396,290.2c-4.2,7.5-12.1,12.1-20.5,12.1h-64.4c13.1,0,23.7-10.8,23.7-24.1h40.7L260.1,75l-18.5,32.6\n                    l-13.7-24.1l11.7-20.5c4.2-7.5,12.1-12.1,20.5-12.1c8.5,0,16.3,4.6,20.5,12.1L396,266.1C400.3,273.6,400.3,282.8,396,290.2z"}})])])])],1),_vm._v(" "),_c('b-card-text',{staticClass:"my-4"},[_vm._v("\n            Druxt.js provides a minimal config, drop-in solution for Drupal\n            JSON:API powered Nuxt.js frontends.\n          ")]),_vm._v(" "),_c('b-button',{staticClass:"w-100",attrs:{"href":_vm.url,"variant":_vm.hover ? 'success' : 'primary'}},[_vm._v("\n            Druxt.js website "),_c('b-icon-arrow-right')],1)],1)],1)],2)],1)],1)};
var __vue_staticRenderFns__$p = [];

  /* style */
  var __vue_inject_styles__$r = function (inject) {
    if (!inject) { return }
    inject("data-v-777ef68c_0", { source: "#druxt[data-v-777ef68c]{cursor:pointer}.st0[data-v-777ef68c]{fill:#3498db}.st1[data-v-777ef68c]{fill:#2f495e}.st2[data-v-777ef68c]{fill:#108775}", map: undefined, media: undefined });

  };
  /* scoped */
  var __vue_scope_id__$r = "data-v-777ef68c";
  /* module identifier */
  var __vue_module_identifier__$r = undefined;
  /* functional template */
  var __vue_is_functional_template__$r = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$r = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$p, staticRenderFns: __vue_staticRenderFns__$p },
    __vue_inject_styles__$r,
    __vue_script__$r,
    __vue_scope_id__$r,
    __vue_is_functional_template__$r,
    __vue_module_identifier__$r,
    false,
    createInjector,
    undefined,
    undefined
  );

//

var script$q = {
  name: 'DruxtViewRecipeCollectionsBlock',

  mixins: [DruxtViewsViewMixin],
};

/* script */
var __vue_script__$s = script$q;

/* template */
var __vue_render__$q = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('b-row',[_c('b-col',{staticClass:"text-center",attrs:{"cols":"12"}},[_c('h2',[_vm._v("Recipe collections")])]),_vm._v(" "),_vm._l((_vm.results),function(result){return _c('b-col',{key:result.id,staticClass:"p-2",attrs:{"md":"3"}},[_c('b-link',{staticClass:"font-weight-bold text-white",attrs:{"component":"strong","nuxt":"","to":result.attributes.path.alias}},[_vm._v("\n      "+_vm._s(result.attributes.name)+"\n    ")])],1)})],2)};
var __vue_staticRenderFns__$q = [];

  /* style */
  var __vue_inject_styles__$s = undefined;
  /* scoped */
  var __vue_scope_id__$s = undefined;
  /* module identifier */
  var __vue_module_identifier__$s = undefined;
  /* functional template */
  var __vue_is_functional_template__$s = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$s = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$q, staticRenderFns: __vue_staticRenderFns__$q },
    __vue_inject_styles__$s,
    __vue_script__$s,
    __vue_scope_id__$s,
    __vue_is_functional_template__$s,
    __vue_module_identifier__$s,
    false,
    undefined,
    undefined,
    undefined
  );

//

var script$r = {
  name: 'DruxtViewRecipesPage1',

  mixins: [DruxtViewsViewMixin],

  computed: {
    wrapper: function () { return ({
      component: 'b-col',
      props: {
        class: 'mb-3',
        cols: 12,
        lg: 3,
        sm: 6,
      },
    }); },
  },
};

/* script */
var __vue_script__$t = script$r;

/* template */
var __vue_render__$r = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',[(_vm.$scopedSlots.header)?_c('b-row',[_c('b-col',[_vm._t("header")],2)],1):_vm._e(),_vm._v(" "),_c('b-row',[_vm._t("default",null,null,{ wrapper: _vm.wrapper })],2)],1)};
var __vue_staticRenderFns__$r = [];

  /* style */
  var __vue_inject_styles__$t = undefined;
  /* scoped */
  var __vue_scope_id__$t = undefined;
  /* module identifier */
  var __vue_module_identifier__$t = undefined;
  /* functional template */
  var __vue_is_functional_template__$t = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  var __vue_component__$t = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$r, staticRenderFns: __vue_staticRenderFns__$r },
    __vue_inject_styles__$t,
    __vue_script__$t,
    __vue_scope_id__$t,
    __vue_is_functional_template__$t,
    __vue_module_identifier__$t,
    false,
    undefined,
    undefined,
    undefined
  );



var index = /*#__PURE__*/Object.freeze({
  __proto__: null,
  DruxtBlockRegionFooter: __vue_component__,
  DruxtBlockRegionHeader: __vue_component__$1,
  DruxtBlockSearchFormBlock: __vue_component__$2,
  DruxtBlockSystemBrandingBlock: __vue_component__$3,
  DruxtBlockSystemMenuBlockAccount: __vue_component__$4,
  DruxtBlockSystemMenuBlockFooter: __vue_component__$5,
  DruxtBlockSystemMenuBlockMain: __vue_component__$6,
  DruxtEntityBlockContentBannerBlock: __vue_component__$7,
  DruxtEntityBlockContentDisclaimerBlock: __vue_component__$8,
  DruxtEntityBlockContentFooterPromoBlock: __vue_component__$9,
  DruxtEntityCard: __vue_component__$a,
  DruxtEntityCardCommon: __vue_component__$b,
  DruxtEntityNodeArticleDefault: __vue_component__$c,
  DruxtEntityNodeRecipeDefault: __vue_component__$d,
  DruxtEntityTeaser: __vue_component__$e,
  DruxtFieldEntityReferenceLabel: __vue_component__$f,
  DruxtFieldLinkFieldContentLink: __vue_component__$g,
  DruxtFieldListDefaultFieldDifficulty: __vue_component__$h,
  DruxtFieldNumberIntegerFieldCookingTime: __vue_component__$i,
  DruxtFieldNumberIntegerFieldNumberOfServings: __vue_component__$j,
  DruxtFieldNumberIntegerFieldPreparationTime: __vue_component__$k,
  DruxtFieldResponsiveImage: __vue_component__$l,
  DruxtFieldResponsiveImageFieldMediaImage: __vue_component__$m,
  DruxtFieldStringFieldIngredients: __vue_component__$n,
  DruxtFieldTextDefaultFieldRecipeInstruction: __vue_component__$o,
  DruxtViewFeaturedArticlesPage1: __vue_component__$p,
  DruxtViewFrontpagePage1: __vue_component__$q,
  DruxtViewPromotedItemsBlock1: __vue_component__$r,
  DruxtViewRecipeCollectionsBlock: __vue_component__$s,
  DruxtViewRecipesPage1: __vue_component__$t
});

function index$1 (moduleOptions) {

  // Use root level Druxt options.
  if (typeof this.options === 'undefined' || !this.options.druxt) {
    throw new TypeError('Druxt settings missing.')
  }
  var options = this.options.druxt;

  // Add bootstrap-vue module.
  this.addModule('bootstrap-vue/nuxt');

  // Add plugin.
  this.addPlugin({
    src: resolve(__dirname, '../nuxt/plugin.js'),
    fileName: 'druxt-theme-umami-bootstrap.js',
    options: options
  });
}

export default index$1;
export { index as Components, __vue_component__ as DruxtBlockRegionFooter, __vue_component__$1 as DruxtBlockRegionHeader, __vue_component__$2 as DruxtBlockSearchFormBlock, __vue_component__$3 as DruxtBlockSystemBrandingBlock, __vue_component__$4 as DruxtBlockSystemMenuBlockAccount, __vue_component__$5 as DruxtBlockSystemMenuBlockFooter, __vue_component__$6 as DruxtBlockSystemMenuBlockMain, __vue_component__$7 as DruxtEntityBlockContentBannerBlock, __vue_component__$8 as DruxtEntityBlockContentDisclaimerBlock, __vue_component__$9 as DruxtEntityBlockContentFooterPromoBlock, __vue_component__$a as DruxtEntityCard, __vue_component__$b as DruxtEntityCardCommon, __vue_component__$c as DruxtEntityNodeArticleDefault, __vue_component__$d as DruxtEntityNodeRecipeDefault, __vue_component__$e as DruxtEntityTeaser, __vue_component__$f as DruxtFieldEntityReferenceLabel, __vue_component__$g as DruxtFieldLinkFieldContentLink, __vue_component__$h as DruxtFieldListDefaultFieldDifficulty, __vue_component__$i as DruxtFieldNumberIntegerFieldCookingTime, __vue_component__$j as DruxtFieldNumberIntegerFieldNumberOfServings, __vue_component__$k as DruxtFieldNumberIntegerFieldPreparationTime, __vue_component__$l as DruxtFieldResponsiveImage, __vue_component__$m as DruxtFieldResponsiveImageFieldMediaImage, __vue_component__$n as DruxtFieldStringFieldIngredients, __vue_component__$o as DruxtFieldTextDefaultFieldRecipeInstruction, __vue_component__$p as DruxtViewFeaturedArticlesPage1, __vue_component__$q as DruxtViewFrontpagePage1, __vue_component__$r as DruxtViewPromotedItemsBlock1, __vue_component__$s as DruxtViewRecipeCollectionsBlock, __vue_component__$t as DruxtViewRecipesPage1 };
